## ros-lunar-octomap-ros 0.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(octomap_ros)

find_package(catkin REQUIRED COMPONENTS sensor_msgs tf octomap_msgs)
find_package(octomap REQUIRED)

catkin_package(
  INCLUDE_DIRS include ${OCTOMAP_INCLUDE_DIRS}
  LIBRARIES ${PROJECT_NAME} ${OCTOMAP_LIBRARIES}
  DEPENDS sensor_msgs tf octomap_msgs)

include_directories(${catkin_INCLUDE_DIRS})
link_directories(${catkin_LIBRARY_DIRS})
link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

include_directories(${OCTOMAP_INCLUDE_DIRS})
link_directories(${OCTOMAP_LIBRARY_DIRS})
link_libraries(${PROJECT_NAME} ${OCTOMAP_LIBRARIES})

include_directories(include)
include_directories(include ${catkin_INCLUDE_DIRS})

add_library(${PROJECT_NAME} src/conversions.cpp)

install(TARGETS ${PROJECT_NAME} 
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY include/octomap_ros/
  DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}/octomap_ros/
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE)

=== debian/changelog ===
ros-lunar-octomap-ros (0.4.0-1stretch) stretch; urgency=high

  * Dropped PCL support in favor of sensor_msgs::PointCloud2.

 -- Armin Hornung <HornungA@informatik.uni-freiburg.de>  Wed, 16 Apr 2014 22:00:00 -0000

ros-lunar-octomap-ros (0.3.1-1stretch) stretch; urgency=high

  * Fixing #3 <https://github.com/OctoMap/octomap_ros/issues/3> (explicit instantiation in conversions.cpp)

 -- Armin Hornung <HornungA@informatik.uni-freiburg.de>  Tue, 15 Apr 2014 22:00:00 -0000

ros-lunar-octomap-ros (0.3.0-1stretch) stretch; urgency=high

  * Removed deprecated OctomapROS class

 -- Armin Hornung <HornungA@informatik.uni-freiburg.de>  Thu, 02 May 2013 22:00:00 -0000

ros-lunar-octomap-ros (0.2.6-1stretch) stretch; urgency=high

  * fixes for cmake / catkin

 -- Armin Hornung <HornungA@informatik.uni-freiburg.de>  Fri, 04 Jan 2013 23:00:00 -0000

ros-lunar-octomap-ros (0.2.5-1stretch) stretch; urgency=high

  * catkin fixes

 -- Armin Hornung <HornungA@informatik.uni-freiburg.de>  Fri, 07 Dec 2012 23:00:00 -0000

ros-lunar-octomap-ros (0.2.4-1stretch) stretch; urgency=high

  * adding include installs
  * catkin fixes
  * fixing octomap_msgs dependency

 -- Armin Hornung <HornungA@informatik.uni-freiburg.de>  Sat, 10 Nov 2012 23:00:00 -0000

ros-lunar-octomap-ros (0.2.3-1stretch) stretch; urgency=high

  * catkinizing octomap_ros

 -- Armin Hornung <HornungA@informatik.uni-freiburg.de>  Sun, 28 Oct 2012 23:00:00 -0000

ros-lunar-octomap-ros (0.2.2-1stretch) stretch; urgency=high

  * catkinizing octomap_ros

 -- Armin Hornung <HornungA@informatik.uni-freiburg.de>  Sun, 30 Sep 2012 22:00:00 -0000

ros-lunar-octomap-ros (0.2.1-1stretch) stretch; urgency=high



 -- Armin Hornung <HornungA@informatik.uni-freiburg.de>  Mon, 03 Sep 2012 22:00:00 -0000

ros-lunar-octomap-ros (0.2.0-1stretch) stretch; urgency=high

  * Further renaming, improved compat. with groovy (server won't compile yet though)
  * Updated octomap_ros to new-style stack.xml
  * manifest / doxygen for octomap_ros & octomap_msgs
  * deprecated OctomapROS in octomap_ros => directly use octomap lib and conversions.h

 -- Armin Hornung <HornungA@informatik.uni-freiburg.de>  Thu, 23 Aug 2012 22:00:00 -0000

=== debian/control ===
Source: ros-lunar-octomap-ros
Section: misc
Priority: extra
Maintainer: Armin Hornung <HornungA@informatik.uni-freiburg.de>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-octomap, ros-lunar-octomap-msgs, ros-lunar-sensor-msgs, ros-lunar-tf
Homepage: http://ros.org/wiki/octomap_ros
Standards-Version: 3.9.2

Package: ros-lunar-octomap-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-octomap, ros-lunar-octomap-msgs, ros-lunar-sensor-msgs, ros-lunar-tf
Description: octomap_ros provides conversion functions between ROS and OctoMap's native types.
 This enables a convenvient use of the octomap package in ROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-octomap-ros//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
